Cassandra.Processor.atomic_batch_mutate (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class Cassandra.Processor.atomic_batch_mutate<I extends Cassandra.Iface>

- java.lang.Object
- - org.apache.thrift.ProcessFunction<I,Cassandra.atomic_batch_mutate_args>
  - - org.apache.cassandra.thrift.Cassandra.Processor.atomic_batch_mutate<I>

- Enclosing class:
    Cassandra.Processor<I extends Cassandra.Iface>

      public static class Cassandra.Processor.atomic_batch_mutate<I extends Cassandra.Iface>
      extends org.apache.thrift.ProcessFunction<I,Cassandra.atomic_batch_mutate_args>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `atomic_batch_mutate()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cassandra.atomic_batch_mutate_args` | `getEmptyArgsInstance()`
    `Cassandra.atomic_batch_mutate_result` | `getResult(I iface, Cassandra.atomic_batch_mutate_args args)`
    `protected boolean` | `isOneway()`

    - ### Methods inherited from class org.apache.thrift.ProcessFunction

      `getMethodName, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### atomic_batch_mutate

          public atomic_batch_mutate()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public Cassandra.atomic_batch_mutate_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.atomic_batch_mutate_args>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.atomic_batch_mutate_args>`

    - #### getResult

          public Cassandra.atomic_batch_mutate_result getResult(I iface,
                                                                Cassandra.atomic_batch_mutate_args args)
                                                         throws org.apache.thrift.TException

      Specified by:
        `getResult` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.atomic_batch_mutate_args>`
      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation